<template>
  <div class="article">
    <div class="article-content">
      <div class="article-title simple-title">LE CHASSEUR ET LA PROIE</div>
      <div class="article-image-content"><img class="article-image" alt="thumbnail" src="../../../public/images/bg01-MORE.jpg"></div>
      <div class="article-text">
      Vita est illis semper in fuga uxoresque mercenariae conductae ad tempus ex pacto atque, ut sit species matrimonii, dotis nomine futura coniunx hastam et tabernaculum offert marito, post statum diem si id elegerit discessura, et incredibile est quo ardore apud eos in venerem uterque solvitur sexus.
      Sed laeditur hic coetuum magnificus splendor levitate paucorum incondita, ubi nati sunt non reputantium, sed tamquam indulta licentia vitiis ad errores lapsorum ac lasciviam. ut enim Simonides lyricus docet, beate perfecta ratione vieturo ante alia patriam esse convenit gloriosam.
      Emensis itaque difficultatibus multis et nive obrutis callibus plurimis ubi prope Rauracum ventum est ad supercilia fluminis Rheni, resistente multitudine Alamanna pontem suspendere navium conpage Romani vi nimia vetabantur ritu grandinis undique convolantibus telis, et cum id inpossibile videretur, imperator cogitationibus magnis attonitus, quid capesseret ambigebat.
      Metuentes igitur idem latrones Lycaoniam magna parte campestrem cum se inpares nostris fore congressione stataria documentis frequentibus scirent, tramitibus deviis petivere Pamphyliam diu quidem intactam sed timore populationum et caedium, milite per omnia diffuso propinqua, magnis undique praesidiis conmunitam.
      Equitis Romani autem esse filium criminis loco poni ab accusatoribus neque his iudicantibus oportuit neque defendentibus nobis.<br><br>
      Nam quod de pietate dixistis, est quidem ista nostra existimatio, sed iudicium certe parentis; quid nos opinemur, audietis ex iuratis; quid parentes sentiant, lacrimae matris incredibilisque maeror, squalor patris et haec praesens maestitia, quam cernitis, luctusque declarat.
      Iamque non umbratis fallaciis res agebatur, sed qua palatium est extra muros, armatis omne circumdedit. ingressusque obscuro iam die, ablatis regiis indumentis Caesarem tunica texit et paludamento communi, eum post haec nihil passurum velut mandato principis iurandi crebritate confirmans et statim inquit exsurge et inopinum carpento privato inpositum ad Histriam duxit prope oppidum Polam, ubi quondam peremptum Constantini filium accepimus Crispum.
      Quibus occurrere bene pertinax miles explicatis ordinibus parans hastisque feriens scuta qui habitus iram pugnantium concitat et dolorem proximos iam gestu terrebat sed eum in certamen alacriter consurgentem revocavere ductores rati intempestivum anceps subire certamen cum haut longe muri distarent, quorum tutela securitas poterat in solido locari cunctorum.
      Quapropter a natura mihi videtur potius quam ab indigentia orta amicitia, applicatione magis animi cum quodam sensu amandi quam cogitatione quantum illa res utilitatis esset habitura.<br><br> Quod quidem quale sit, etiam in bestiis quibusdam animadverti potest, quae ex se natos ita amant ad quoddam tempus et ab eis ita amantur ut facile earum sensus appareat. Quod in homine multo est evidentius, primum ex ea caritate quae est inter natos et parentes, quae dirimi nisi detestabili scelere non potest; deinde cum similis sensus exstitit amoris, si aliquem nacti sumus cuius cum moribus et natura congruamus, quod in eo quasi lumen aliquod probitatis et virtutis perspicere videamur.
      Horum adventum praedocti speculationibus fidis rectores militum tessera data sollemni armatos omnes celeri eduxere procursu et agiliter praeterito Calycadni fluminis ponte, cuius undarum magnitudo murorum adluit turres, in speciem locavere pugnandi. neque tamen exiluit quisquam nec permissus est congredi. formidabatur enim flagrans vesania manus et superior numero et ruitura sine respectu salutis in ferrum.
      Proinde concepta rabie saeviore, quam desperatio incendebat et fames, amplificatis viribus ardore incohibili in excidium urbium matris Seleuciae efferebantur, quam comes tuebatur Castricius tresque legiones bellicis sudoribus induratae.
      Unde Rufinus ea tempestate praefectus praetorio ad discrimen trusus est ultimum.<br><br> ire enim ipse compellebatur ad militem, quem exagitabat inopia simul et feritas, et alioqui coalito more in ordinarias dignitates asperum semper et saevum, ut satisfaceret atque monstraret, quam ob causam annonae convectio sit impedita.
      Tempore quo primis auspiciis in mundanum fulgorem surgeret victura dum erunt homines Roma, ut augeretur sublimibus incrementis, foedere pacis aeternae Virtus convenit atque Fortuna plerumque dissidentes, quarum si altera defuisset, ad perfectam non venerat summitatem.
      Ciliciam vero, quae Cydno amni exultat, Tarsus nobilitat, urbs perspicabilis hanc condidisse Perseus memoratur, Iovis filius et Danaes, vel certe ex Aethiopia profectus Sandan quidam nomine vir opulentus et nobilis et Anazarbus auctoris vocabulum referens, et Mopsuestia vatis illius domicilium Mopsi, quem a conmilitio Argonautarum cum aureo vellere direpto redirent, errore abstractum delatumque ad Africae litus mors repentina consumpsit, et ex eo cespite punico tecti manes eius heroici dolorum varietati medentur plerumque sospitales.
      Et quia Mesopotamiae tractus omnes crebro inquietari sueti praetenturis et stationibus servabantur agrariis, laevorsum flexo itinere Osdroenae subsederat extimas partes, novum parumque aliquando temptatum commentum adgressus. quod si impetrasset, fulminis modo cuncta vastarat. erat autem quod cogitabat huius modi.
      Metuentes igitur idem latrones Lycaoniam magna parte campestrem cum se inpares nostris fore congressione stataria documentis frequentibus scirent, tramitibus deviis petivere Pamphyliam diu quidem intactam sed timore populationum et caedium, milite per omnia diffuso propinqua, magnis undique praesidiis conmunitam.
      </div>
      <div class="comments">
        <h1>Comments</h1>
        <div class="comments-list" v-for="(comment, index) in comments" :key="index">
            <div class="commment-content">
              <div class="profile-comment"><img src="data:image/gif;base64,R0lGODdhAQABAPAAAP8AAAAAACwAAAAAAQABAAACAkQBADs="></div>
              <div class="content">
                {{comment.content}}
                <div class="date">
                  <date-format :date="comment.date" :type="'BASIC'"/>
                </div>
              </div>
            </div>
        </div>
      </div>
    <div class="more-articles"></div>
    </div>

  </div>
</template>

<script lang="ts">
import { Vue, Prop, Component } from 'vue-property-decorator'
import {Comment} from "src/models/Comment";
import {Profile} from "src/models/Profil";
import DateFormat from "components/utils/DateFormat.vue";
@Component({
  components: {DateFormat}
})
export default class articleComponent extends Vue {
    @Prop({ type: Array, default: () => [] }) comments!: Comment[];

    created(){
      this.getComments();
    }

    public getComments() {
      for(let _i=0;_i<3;_i++) {
        let comment= new Comment();
        let profile= new Profile();
        //Date
        const current = new Date();
        const dataBase64 = 'lYidwARcVhNS6thsvoyaLQ==';
        const arrayBuffer = Uint8Array.from(window.atob(dataBase64), c => c.charCodeAt(0));
        const file = new File([arrayBuffer], "avatar.png", {type: 'image/png'});
        
        console.log(file);

        profile.name='Flo';
        profile.avatar=file;
        comment.content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent laoreet maximus arcu sit amet semper. In dapibus justo orci, nec volutpat urna dictum eget. Morbi hendrerit quam mauris, vel efficitur enim ullamcorper quis. Ut ac ex nisi. Mauris ante tellus, consectetur vitae consequat et, consectetur et tortor.';
        comment.date = current;
        comment.profile = profile;
        comment.state = true;
        comment.title = 'Houla c\'est cool';
        this.comments.push(comment);
      }
      console.log(this.comments)

    }
}
</script>
<style lang="scss">
@import '../../css/app.scss';
/*********ELEMENTS********/
.article{
  display: flex;
  width: 100% ;
  height: fit-content;
  align-content: center;
  align-items: center;
  flex-direction: column;
}
.article-content{
  width: 100%;
  padding: 2%;
  top: 100px;
  z-index: 2;
  position: relative;
  top: -40vh;
}
.article-image-content{
  width: 90%;
  margin: 0 auto;
  overflow: hidden;
}
.article-image{
  width: 100%;
}
.article-text{
  width: 90%;
  background-color: white;
  padding: 2%;
  margin: 0 auto;
}
.article-title{
  width: 90%;
  font-size: 3em;
  font-weight: bold;
  margin: 0 auto;
  padding-left: 1em;
  color:white;
}
.comments{
  width: 90%;
  margin: 0 auto;
  padding: 2%;
}
.comments h1{
  line-height:2em;
  font-size: 2em;
  font-weight: Bolder;
  color:#586D35;
}
.comments-list{
  width: 100%;
  margin-bottom:1em;
}
.commment-content{
  color:#223109;
  display:flex;
  flex-direction: row;
}
.profile-comment{
      display: flex;
    flex: 0.2;
    justify-content: end;
    padding-right: 1%;
}
.profile-comment img{
  border-radius:50%;
  width:100px;
  height:100px;
  overflow:hidden;
}
.content{
  display:flex;
  flex:2;
  flex-direction:column;
}
.date{
  align-content: flex-end;
  display:flex;
  align-items: flex-end;
  justify-content: flex-end;
  font-weight: bold;
}


/*********ADJUSTMENT*********/
</style>
